/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2020/04/30
* Description        : Main program body.
*******************************************************************************/

/*
 *@Note
PD01ŵʹ
PD0PD1ⲿŵӳעʹʹΪͨGPIOʹʱʹⲿҪʹڲ
*/

#include "debug.h"

/* Global typedef */
/* Global define */
/* Global Variable */

/*******************************************************************************
* Function Name  : GPIO_Toggle_INIT
* Description    : Initializes GPIOA.0
* Input          : None
* Return         : None
*******************************************************************************/
void GPIO_Toggle_INIT(void)
{
  GPIO_InitTypeDef  GPIO_InitStructure;

  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOD,ENABLE);
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_AFIO,ENABLE);
  GPIO_PinRemapConfig(GPIO_Remap_PD01,ENABLE);

  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_1;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPU;
  GPIO_Init(GPIOD, &GPIO_InitStructure);

}
/*******************************************************************************
* Function Name  : main
* Description    : Main program.
* Input          : None
* Return         : None
*******************************************************************************/
int main(void)
{
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	Delay_Init();
	USART_Printf_Init(115200);

    GPIO_Toggle_INIT();

	printf("SystemClk:%d\r\n",SystemCoreClock);
	printf("This is printf example\r\n");

	while(1)
	{
        if((GPIO_ReadInputDataBit(GPIOD,GPIO_Pin_1)==1))
        {
            printf("up\r\n");
            Delay_Ms(500);
        }
        else
        {
            printf("down\r\n");
            Delay_Ms(500);
        }
	}
}

